Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class HTTPSender

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.transport.http.HTTPSender

All Implemented Interfaces:
  Handler, java.io.Serializable

public class HTTPSender
extends BasicHandler

This is meant to be used on a SOAP Client to call a SOAP server.

Author:
  Doug Davis (dug@us.ibm.com), Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`HTTPSender()`

Method Summary
`protected void` | `getSocket(SocketHolder sockHolder, MessageContext msgContext, java.lang.String protocol, java.lang.String host, int port, int timeout, java.lang.StringBuffer otherHeaders, BooleanHolder useFullURL)` Creates a socket connection to the SOAP server
`void` | `handleCookie(java.lang.String cookieName, java.lang.String setCookieName, java.util.Hashtable headers, MessageContext msgContext)` little helper function for cookies
`void` | `invoke(MessageContext msgContext)` invoke creates a socket connection, sends the request SOAP message and then reads the response SOAP message back from the SOAP server

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### HTTPSender

    public HTTPSender()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  invoke creates a socket connection, sends the request SOAP message and then reads the response SOAP message back from the SOAP server

  Parameters:
    `msgContext` - the messsage context
  Throws:
    `AxisFault`

### getSocket

    protected void getSocket(SocketHolder sockHolder,
                             MessageContext msgContext,
                             java.lang.String protocol,
                             java.lang.String host,
                             int port,
                             int timeout,
                             java.lang.StringBuffer otherHeaders,
                             BooleanHolder useFullURL)
                      throws java.lang.Exception

  Creates a socket connection to the SOAP server

  Parameters:
    `protocol` - "http" for standard, "https" for ssl.
    `host` - host name
    `port` - port to connect to
    `otherHeaders` - buffer for storing additional headers that need to be sent
    `useFullURL` - flag to indicate if the complete URL has to be sent
  Throws:
    `java.io.IOException`
    `java.lang.Exception`

### handleCookie

    public void handleCookie(java.lang.String cookieName,
                             java.lang.String setCookieName,
                             java.util.Hashtable headers,
                             MessageContext msgContext)

  little helper function for cookies

  Parameters:
    `cookieName` -
    `setCookieName` -
    `headers` -
    `msgContext` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.